Index: src/Actions/ShapeAction/SetShapeAction.def
===================================================================
--- src/Actions/ShapeAction/SetShapeAction.def	(revision 4dc30911b17eed762fa2312657a6cead1ac5593d)
+++ src/Actions/ShapeAction/SetShapeAction.def	(revision 98d03bd3ced77f80f72da1e84e0d04c750719b66)
@@ -10,4 +10,5 @@
 
 #include "Parameters/Validators/DummyValidator.hpp"
+#include "Parameters/Validators/Specific/ShapeNameValidator.hpp"
 #include "Parameters/Validators/Specific/VectorPositiveComponentsValidator.hpp"
 
@@ -21,5 +22,5 @@
 #define paramreferences (shape_type)(translation)(stretch)(angle_x)(angle_y)(angle_z)
 #define paramvalids \
-(DummyValidator<std::string>()) \
+(ShapeNameValidator()) \
 (DummyValidator<Vector>()) \
 (VectorPositiveComponentsValidator()) \
Index: src/Parameters/Makefile.am
===================================================================
--- src/Parameters/Makefile.am	(revision 4dc30911b17eed762fa2312657a6cead1ac5593d)
+++ src/Parameters/Makefile.am	(revision 98d03bd3ced77f80f72da1e84e0d04c750719b66)
@@ -19,4 +19,5 @@
 	Parameters/Validators/Specific/RealSpaceMatrixInvertibleValidator.cpp \
 	Parameters/Validators/Specific/RealSpaceMatrixSymmetricValidator.cpp \
+	Parameters/Validators/Specific/ShapeNameValidator.cpp \
 	Parameters/Validators/Specific/TimeStepPresentValidator.cpp \
 	Parameters/Validators/Specific/VectorNotZeroValidator.cpp \
@@ -58,4 +59,5 @@
 	Parameters/Validators/Specific/RealSpaceMatrixSymmetricValidator.hpp \
 	Parameters/Validators/Specific/RotationAngleValidator.hpp \
+	Parameters/Validators/Specific/ShapeNameValidator.hpp \
 	Parameters/Validators/Specific/TimeStepPresentValidator.hpp \
 	Parameters/Validators/Specific/VectorNotZeroValidator.hpp \
Index: src/Parameters/Validators/Specific/ShapeNameValidator.cpp
===================================================================
--- src/Parameters/Validators/Specific/ShapeNameValidator.cpp	(revision 98d03bd3ced77f80f72da1e84e0d04c750719b66)
+++ src/Parameters/Validators/Specific/ShapeNameValidator.cpp	(revision 98d03bd3ced77f80f72da1e84e0d04c750719b66)
@@ -0,0 +1,67 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
+ *
+ *
+ *   This file is part of MoleCuilder.
+ *
+ *    MoleCuilder is free software: you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation, either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    MoleCuilder is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
+/*
+ * ShapeNameValidator.cpp
+ *
+ *  Created on: Sep 6, 2012
+ *      Author: ankele
+ */
+
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "CodePatterns/MemDebug.hpp"
+
+#include "ShapeNameValidator.hpp"
+
+#include "Shapes/ShapeFactory.hpp"
+
+bool ShapeNameValidator::isValid(const std::string & _value) const
+{
+  return ShapeFactory::getInstance().isValidShapeName(_value);
+}
+
+bool ShapeNameValidator::operator==(const Validator<std::string> &_instance) const
+{
+  const ShapeNameValidator *inst =
+      dynamic_cast<const ShapeNameValidator *>(&_instance);
+  if (inst)
+    return true;
+  else
+    return false;
+}
+
+Validator< std::string >* ShapeNameValidator::clone() const
+{
+  Validator< std::string > *inst =
+      new ShapeNameValidator();
+  return inst;
+}
+
+
+
+
+
Index: src/Parameters/Validators/Specific/ShapeNameValidator.hpp
===================================================================
--- src/Parameters/Validators/Specific/ShapeNameValidator.hpp	(revision 98d03bd3ced77f80f72da1e84e0d04c750719b66)
+++ src/Parameters/Validators/Specific/ShapeNameValidator.hpp	(revision 98d03bd3ced77f80f72da1e84e0d04c750719b66)
@@ -0,0 +1,34 @@
+/*
+ * ShapeNameValidator.hpp
+ *
+ *  Created on: Sep 6, 2012
+ *      Author: ankele
+ */
+
+#ifndef SHAPENAMEVALIDATOR_HPP_
+#define SHAPENAMEVALIDATOR_HPP_
+
+
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include <string>
+
+#include "Parameters/Validators/Validator.hpp"
+
+/** This validator checks whether the given \ref Vector's components are
+ * all in [0,1].
+ */
+class ShapeNameValidator : public Validator<std::string>
+{
+  bool isValid(const std::string & _value) const;
+  bool operator==(const Validator<std::string> &_instance) const;
+  Validator< std::string >* clone() const;
+};
+
+
+
+#endif /* SHAPENAMEVALIDATOR_HPP_ */
Index: src/Shapes/ShapeFactory.cpp
===================================================================
--- src/Shapes/ShapeFactory.cpp	(revision 4dc30911b17eed762fa2312657a6cead1ac5593d)
+++ src/Shapes/ShapeFactory.cpp	(revision 98d03bd3ced77f80f72da1e84e0d04c750719b66)
@@ -59,5 +59,5 @@
   type = SPHERE;
   translation.Zero();
-  stretch.Zero();
+  stretch = Vector(1.,1.,1.);
   for (int i=0; i<NDIM; i++)
     angle[i] = 0;
@@ -78,4 +78,10 @@
       "ShapeFactory::getShapeName() - unknown type: "+toString(type)+".");
   return iter->second;
+}
+
+bool ShapeFactory::isValidShapeName(const std::string& name)
+{
+  NameShapeMap::iterator iter = nameShapeMap.find(name);
+  return (iter != nameShapeMap.end());
 }
 
Index: src/Shapes/ShapeFactory.hpp
===================================================================
--- src/Shapes/ShapeFactory.hpp	(revision 4dc30911b17eed762fa2312657a6cead1ac5593d)
+++ src/Shapes/ShapeFactory.hpp	(revision 98d03bd3ced77f80f72da1e84e0d04c750719b66)
@@ -31,4 +31,5 @@
   ShapeType getShapeByName(const std::string &name);
   std::string getShapeName(ShapeType type);
+  bool isValidShapeName(const std::string &name);
 
 
